Bug 8785 - koi8 encoding broken - some metric *.afm files missing
koi8 encoding broken - some metric *.afm files missing
Product: Red Hat Powertools
Classification: Retired
Component: a2ps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
Depends On:
  Show dependency treegraph
Reported: 2000-01-23 22:40 EST by pogosyan
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-24 13:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description pogosyan 2000-01-23 22:40:01 EST
Using a2ps-4.12 (part of 6.0 and 6.1 PowerTools):
when using koi8 encoding, the program
a2ps -X --encoding=koi8 foo

fails with

a2ps: cannot find file `CourierISOC.afm': No such file or directory

When downgraded to a2ps-4.10.4 (RH 5.2 PowerTools) everything is fine
Comparison with a2ps-4.10.4 shows that
the following afm files are absent in 4.12 distribution


There were also *pfb fonts distributed with 4.10.4 ?
Comment 1 Tim Powers 2000-01-24 13:48:59 EST
Ughhh. The a2ps folks removed the i18n stuff from the 4.12 tarball. I created a
noarch package called a2ps-i18n, look for it in rawhide. It fixes the problem
(and generates a new fonts.map too).

Thanks for letting me know about this.


Note You need to log in before you can comment on or make changes to this bug.